View Issue Details

IDProjectCategoryView StatusLast Update
0033356FPCPackagespublic2019-11-16 13:16
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033356: FPReport designer: Can't prevent memo from overflowing onto adjacent memos
Description- Create a new report
- Place a memo on a title band
- Fill it with long text (many words)
- Add memos on its right and beneath it
- Preview the report
The memo will overflow either to the right or the bottom depending on moDisableWordWrap
There is no way to prevent that, unless i am missing something.
TagsNo tags attached.
Fixed in Revision43490
FPCOldBugId
FPCTarget-
Attached Files

Relationships

related to 0033708 resolvedMichael Van Canneyt [patches] A set of fpReport patches 

Activities

Graeme Geldenhuys

2018-05-08 01:42

reporter   ~0108187

Last edited: 2018-05-08 01:43

View 2 revisions

I've implemented a fix for this issue. The patch is included in the bug report 0033708.

Lines outside the bounds of the memo are now culled (deleted).

I also introduced new Memo property, CullThreshold. It has a value range from 1-100% and defines the minimum amount of text [height] that must be visible, otherwise the text gets culled. This applied to the bottom row of text that could be partially outside the bounds of the memo. The default value has been set to 75%

Michael Van Canneyt

2018-05-08 09:23

administrator   ~0108195

Fixed with a patch from Graeme Geldenhuys

Stephano

2018-05-08 12:52

developer   ~0108198

With wordwrap disabled, the memo still overflows horizontally in the preview although it looks fine in the designer.

Graeme Geldenhuys

2018-05-08 13:00

reporter   ~0108199

:-) I literally just sent Michael an email (15 seconds ago) telling him that this bug report is not 100% fixed. Then I received the notification that you reopened the report.

I'm still working on the WordWrap fix, as well as 0033639.

Michael Van Canneyt

2019-11-16 13:16

administrator   ~0119342

I added a WordOverFlow property. It determines what to do if a word will not fit in the allocated space. The names speak for themselves
- woTruncate (truncate the word)
- woOverflow (allow to overflow)
- woSplit (split the word anyway)
The option is applied both for wordwrap and disabled wordwrap.

I plan a woEllipsis for allowing an ellipsis to be shown, and a woAsterisk to fill the memo with asterisks.

Issue History

Date Modified Username Field Change
2018-03-07 07:18 Stephano New Issue
2018-03-07 07:18 Stephano Status new => assigned
2018-03-07 07:18 Stephano Assigned To => Michael Van Canneyt
2018-03-09 10:45 Michael Van Canneyt Project Lazarus => FPC
2018-05-08 01:42 Graeme Geldenhuys Note Added: 0108187
2018-05-08 01:43 Graeme Geldenhuys Note Edited: 0108187 View Revisions
2018-05-08 09:23 Michael Van Canneyt Relationship added related to 0033708
2018-05-08 09:23 Michael Van Canneyt Fixed in Revision => 38946
2018-05-08 09:23 Michael Van Canneyt Note Added: 0108195
2018-05-08 09:23 Michael Van Canneyt Status assigned => resolved
2018-05-08 09:23 Michael Van Canneyt Fixed in Version => 3.1.1
2018-05-08 09:23 Michael Van Canneyt Resolution open => fixed
2018-05-08 09:23 Michael Van Canneyt Target Version => 3.2.0
2018-05-08 12:52 Stephano Note Added: 0108198
2018-05-08 12:52 Stephano Status resolved => feedback
2018-05-08 12:52 Stephano Resolution fixed => reopened
2018-05-08 13:00 Graeme Geldenhuys Note Added: 0108199
2019-11-16 13:16 Michael Van Canneyt Status feedback => resolved
2019-11-16 13:16 Michael Van Canneyt Resolution reopened => fixed
2019-11-16 13:16 Michael Van Canneyt Fixed in Revision 38946 => 43490
2019-11-16 13:16 Michael Van Canneyt FPCTarget => -
2019-11-16 13:16 Michael Van Canneyt Note Added: 0119342